ENV(1)

NAZWA
env - uruchamia program w zmienionym środowisku

SKŁADNIA
env [OPCJA]... [-] [NAZWA=WARTOŚĆ]... [POLECENIE [ARG]...]

OPIS

Ustawia każdą zmienną środowiskową NAZWA na WARTOŚĆ i wykonuje POLECENIE.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

-a, --argv0=ARGUMENT
    przekazuje ARGUMENT jako zerowy argument POLECENIA.

-i, --ignore-environment
    zaczyna z pustym środowiskiem

-0, --null
    kończy każdy wiersz bajtem NUL, zamiast znakiem nowego wiersza

-u, --unset=NAZWA
    usuwa zmienną NAZWA ze środowiska

-C, --chdir=KATALOG
    zmienia katalog roboczy na KATALOG

-S, --split-string=S
    przetwarza i dzieli S na osobne argumenty; używane by przekazać kilka argumentów na linię shebang

--block-signal[=SYGNAŁ]
    blokuje dostarczenie sygnał(ów) SYGNAŁ do komendy

--default-signal[=SYGNAŁ]
    resetuje sposób obsługi sygnał(ów) SYGNAŁ do ustawień domyślnych

--ignore-signal[=SYGNAŁ]
    ustawia sposób obsługi sygnał(ów) SYGNAŁ by nie miały efektu

--list-signal-handling
    wypisuje niedomyślne sposoby obsługi sygnałów na stderr

-v, --debug
    wypisuje szczegółowe informacje dla każdego kroku przetwarzania

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

Argument - implikuje -i. Jeśli nie podano POLECENIA, wyświetlane jest otrzymane środowisko.

SYGNAŁ może być nazwą sygnału jak „PIPE” lub numerem sygnału jak „13”. Bez SYGNAŁU, wszystkie znane sygnały są dołączone. Kolejne sygnały należy rozdzielić średnikiem. Pusty argument SYGNAŁ nie odnosi skutku.

  Status zakończenia:

125 jeśli samo polecenie env zawiedzie

126 jeśli odnaleziono POLECENIE, ale nie można go wywołać

127 jeśli nie znaleziono POLECENIA

-   w pozostałych przypadkach jest to kod zakończenia POLECENIA

OBSŁUGA OPCJI W SKRYPTACH
Opcja -S zezwala na określenie kilku argumentów w skrypcie. Uruchomienie skryptu o nazwie 1.pl zawierającego następujący pierwszy wiersz:

    #!/usr/bin/env -S perl -w -T
    ...

Wywoła perl -w -T 1.pl

Bez parametru '-S' skrypt z argumentu prawdopodobnie zwróci błąd:

    /usr/bin/env: 'perl -w -T': Nie ma takiego pliku ani katalogu

Więcej szczegółów w pełnej dokumentacji.

UWAGI
Podręcznik POSIX dla exec(3p) mówi:
    "wiele istniejących aplikacji błędnie zakłada, że startują one z konkretnymi sygnałami ustawionymi na akcje domyślne lub/i odblokowanymi... Dlatego, najlepiej nie blokować czy ignorować sygnałów wśród wywołań beż szczególnego powodu, a szczególnie nie blokować sygnałów pośród wywołań arbitralnych (nie współpracujących ze sobą) programów."

AUTOR
Napisane przez Richarda Mlynarika, Davida MacKenzie oraz Assaf Gordon.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <https://www.gnu.org/software/coreutils/>
O błędach tłumaczenia programu prosimy poinformować przez <https://translationproject.org/team/pl.html>

ZOBACZ TAKŻE
sigaction(2), sigprocmask(2), signal(7)

Pełna dokumentacja na stronie: <https://www.gnu.org/software/coreutils/env>
lub lokalnie, za pomocą info '(coreutils) env invocation'

Spakietowane przez Debiana (9.7-3)
Copyright © 2025 Free Software Foundation, Inc.
Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać.
Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

TŁUMACZENIE
Tłumaczenie niniejszej strony podręcznika: Przemek Borys <pborys@dione.ids.pl>, Wojtek Kotwica <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.